%define         pname clamav
%define         pversion 0.99.1
%define         bversion 100
%define         rpmrelease iworx
%define         lgwver 0.32
%define	        clamav_user clamav

%define         main_cvd_url http://mirror.corp.interworx.com/clam/main.cvd
%define         daily_cvd_url http://mirror.corp.interworx.com/clam/daily.cvd

%define 	debug_package %{nil}

%define _default_patch_fuzz 2

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command 
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define 	build_rht_90   0
%define		build_cos_3x   0
%define		build_fdr_10   0
%define		build_fdr_20   0
%define		build_fdr_30   0
%define		build_fdr_40   0
%define		build_fdr_80   0
%define		build_fdr_90   0
%define		build_whb_3x   0
%define		build_rhe_2x   0
%define		build_rhe_3x   0
%define		build_rhe_4x   0
%define		build_rhe_5x   0
%define		build_rhe_6x   0
%define		build_rhe_7x   0

%define		build_unk      1

# Command Line Overrides
%{?_with_rht90:   	%{expand: %%define build_rht_90   1}}
%{?_with_cos3x: 	%{expand: %%define build_cos_3x   1}}
%{?_with_fdr10: 	%{expand: %%define build_fdr_10   1}}
%{?_with_fdr20: 	%{expand: %%define build_fdr_20   1}}
%{?_with_fdr30: 	%{expand: %%define build_fdr_30   1}}
%{?_with_fdr40: 	%{expand: %%define build_fdr_40   1}}
%{?_with_fdr80: 	%{expand: %%define build_fdr_80   1}}
%{?_with_fdr90: 	%{expand: %%define build_fdr_90   1}}
%{?_with_whb3x: 	%{expand: %%define build_whb_3x   1}}
%{?_with_rhe2x: 	%{expand: %%define build_rhe_2x   1}}
%{?_with_rhe3x: 	%{expand: %%define build_rhe_3x   1}}
%{?_with_rhe4x: 	%{expand: %%define build_rhe_4x   1}}
%{?_with_rhe5x: 	%{expand: %%define build_rhe_5x   1}}
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}
%{?_with_rhe7x: 	%{expand: %%define build_rhe_7x   1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

# Distro Statements
%if %{build_rht_90}
%define		oscode rht90
%define 	ostype RedHat 9
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_cos_3x}
%define		oscode cos3x
%define 	ostype CentOS 3.x
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_10}
%define		oscode fdr10
%define 	ostype Fedora Core 1
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_20}
%define		oscode fdr20
%define 	ostype Fedora Core 2
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_30}
%define		oscode fdr30
%define 	ostype Fedora Core 3
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_40}
%define		oscode fdr40
%define 	ostype Fedora Core 4
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags} -O0
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_80}
%define		oscode fdr80
%define 	ostype Fedora Core 8
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags} -O0
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_fdr_90}
%define		oscode fdr90
%define 	ostype Fedora Core 9
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags} -O0
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_whb_3x}
%define		oscode whb3x
%define 	ostype White Box 3.x
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_2x}
%define		oscode rhe2x
%define 	ostype RedHat Enterprise 2.x
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_3x}
%define		oscode rhe3x
%define 	ostype RedHat Enterprise 3.x
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_4x}
%define		oscode rhe4x
%define 	ostype RedHat Enterprise 4.x
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_5x}
%define		oscode rhe5x
%define 	ostype RedHat Enterprise 5.x
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%if %{build_rhe_7x}
%define		oscode rhe7x
%define 	ostype RedHat Enterprise 7.x
BuildRequires:  bzip2-devel
BuildRequires:  gmp-devel
BuildRequires:  zlib-devel
BuildRequires:  autoconf
BuildRequires:  automake
Requires:       bzip2-libs
Requires:       gmp
Requires:       zlib
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%define		build_unk 0
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define		release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif

############### RPM ################################

Summary:        An antivirus toolkit for Unix
Name:           %{pname}
Version:        %{pversion}
Release:        %{release}
License:        GPL

Group:          System Environment/Daemons
Source0:        http://download.sf.net/clamav/%{pname}-%{pversion}.tar.gz
URL:            http://www.clamav.net/

Distribution:	InterWorx-HAL
Vendor:         INTERWORX L.L.C
Packager:	Paul Oehler <poehler@interworx.com>

Epoch:		3

BuildRequires:  ncurses-devel
BuildRequires:  wget
BuildRequires:  openssl openssl-devel

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires:	qmail

Requires:	initscripts
Requires:	chkconfig
Requires:	tmpwatch

Provides:	clamd
Provides:       clamav-db

Source1:        clamav-clamd.sh
Source2:        clamav-milter.sh
Source3:        clamav-freshclam.sh
Source4:        clamav-milter.sysconfig
Source5:        clamav-clamd.logrotate
Source6:        clamav-freshclam.logrotate
#Source7:        http://www.schimkat.dk/clamav/clamav-logwatch-%{lgwver}.tar.gz
Source10:       clamav-milter.daily
Source11:       clamav-freshclam.daily

Patch0:		clamav-calmdown.patch
Patch1: 	clamav-async-reload.patch

%description
Clam AntiVirus is a GPL anti-virus toolkit for UNIX. The main purpose of this
software is the integration with mail servers (attachment scanning).
The package provides a flexible and scalable multi-threaded daemon,
a command line scanner, and a tool for automatic updating via Internet.
The programs are based on a shared library distributed with package,
which you can use with your own software.
Most importantly, the virus database is kept up to date .

%package        devel
Summary:        Clamav - Development header files and libraries
Group:          Development/Libraries
Requires:       %{name} = 3:%{version}-%{release}

%description    devel
This package contains the development header files and libraries
necessary to develope your own clamav based applications.

%prep
%setup -q -n %{pname}-%{pversion}
#%setup -q -D -a 7 -n %{pname}-%{pversion}

#%patch0 -p1
#%patch1 -p1 

# Try detecting newest gcc (some distributions have got more then one compiler)
# and write it on a temp file 

[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

if   [ -x /usr/bin/gcc-3.2.3 ]; then
	echo "/usr/bin/gcc-3.2.3" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.2 ]; then
	echo "/usr/bin/gcc-3.2.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif   [ -x /usr/bin/gcc-3.2.1 ]; then
	echo "/usr/bin/gcc-3.2.1" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.2 ]; then
        echo "/usr/bin/gcc-3.2" > %{_tmppath}/%{name}-%{pversion}-gcc
elif [ -x /usr/bin/gcc-3.1.1 ]; then
        echo "/usr/bin/gcc-3.1.1" > %{_tmppath}/%{name}-%{pversion}-gcc
else
	echo "gcc" > %{_tmppath}/%{name}-%{pversion}-gcc
fi

# Display compilation flags and OS with colors ;)

[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags
cat <<EOF >>%{_tmppath}/%{name}-%{pversion}-show_flags
#!/bin/sh

RPM="RPM RELEASE: \033[40m\033[001;033m%{release}"
OS="OS TYPE IS : \033[40m\033[001;033m%{ostype}"
GCC="GCC IS     : \033[40m\033[001;033m`cat %{_tmppath}/%{name}-%{pversion}-gcc`"
CCF="CCFLAGS    : \033[40m\033[001;033m%{ccflags}"
LDF="LDFLAGS    : \033[40m\033[001;033m%{ldflags}"

echo
echo
echo -e "\033[40m\033[001;031m\$RPM\033[0m"
echo -e "\033[40m\033[001;031m\$OS\033[0m"
echo -e "\033[40m\033[001;031m\$GCC\033[0m"
echo -e "\033[40m\033[001;031m\$CCF\033[0m"
echo -e "\033[40m\033[001;031m\$LDF\033[0m"
echo
echo

sleep 5

EOF

# Take care to execute and then to delete
chmod u+x %{_tmppath}/%{name}-%{pversion}-show_flags
%{_tmppath}/%{name}-%{pversion}-show_flags
[ -f %{_tmppath}/%{name}-%{pversion}-show_flags ] && rm -f %{_tmppath}/%{name}-%{pversion}-show_flags

# We have gcc written in a temp file
export CC="`cat %{_tmppath}/%{name}-%{pversion}-gcc` %{ccflags}"
export CPPFLAGS="%{ccflags}"

./configure                                  \
	--prefix=%{_prefix}                  \
	--bindir=%{_bindir}                  \
	--mandir=%{_mandir}                  \
	--localstatedir=%{_localstatedir}    \
	--libdir=%{_libdir}                  \
	--datadir=%{_datadir}                \
	--includedir=%{_includedir}          \
	--sysconfdir=%{_sysconfdir}          \
	--program-prefix=%{?_program_prefix} \
	--disable-clamav                     \
	--enable-id-check                    \
	--with-user=%{clamav_user}           \
	--with-group=%{clamav_user}          \
        --disable-zlib-vcheck                \
	--with-dbdir=%{_localstatedir}/clamav

%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}

# Delete gcc temp file
[ -f %{_tmppath}/%{name}-%{pversion}-gcc ] && rm -f %{_tmppath}/%{name}-%{pversion}-gcc

%{__make} %{?_smp_mflags}

%install

%{__install} -d %{buildroot}%{_initrddir}/
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig/
%{__install} -d %{buildroot}%{_sysconfdir}/cron.daily/
%{__install} -d %{buildroot}%{_sysconfdir}/logrotate.d/
#%{__install} -d %{buildroot}%{_sysconfdir}/log.d/scripts/services/
#%{__install} -d %{buildroot}%{_sysconfdir}/log.d/conf/services/
%{__install} -d %{buildroot}%{_localstatedir}/clamav/
%{__install} -d %{buildroot}%{_localstatedir}/log/clamav/
%{__install} -d %{buildroot}%{_localstatedir}/run/clamav/
%{__install} -d %{buildroot}%{_localstatedir}/spool/clamav/

%{__make} DESTDIR=%{buildroot} install

%{__install} %{SOURCE1} %{buildroot}%{_initrddir}/clamd
%{__install} %{SOURCE3} %{buildroot}%{_initrddir}/freshclam
%{__install} %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/clamd
%{__install} %{SOURCE6} %{buildroot}%{_sysconfdir}/logrotate.d/freshclam
#%{__install} clamav-logwatch-%{lgwver}/clamav %{buildroot}%{_sysconfdir}/log.d/scripts/services/clamav
#%{__install} clamav-logwatch-%{lgwver}/clamav.conf %{buildroot}%{_sysconfdir}/log.d/conf/services/clamav.conf
%{__install} etc/clamd.conf.sample %{buildroot}%{_sysconfdir}/clamd.conf
%{__install} etc/freshclam.conf.sample %{buildroot}%{_sysconfdir}/freshclam.conf
%{__install} %{SOURCE11} %{buildroot}%{_sysconfdir}/cron.daily/freshclam

wget -O database/main.cvd %{main_cvd_url}
wget -O database/daily.cvd %{daily_cvd_url}

%{__install} database/main.cvd %{buildroot}%{_localstatedir}/clamav/main.cvd
%{__install} database/daily.cvd %{buildroot}%{_localstatedir}/clamav/daily.cvd

#%{__mv} clamav-logwatch-%{lgwver}/HOWTO HOWTO-logwatch.txt
touch %{buildroot}%{_localstatedir}/log/clamav/clamav.log
touch %{buildroot}%{_localstatedir}/log/clamav/freshclam.log
rm %{buildroot}%{_mandir}/man8/clamav-milter.8*

# Custom config files
%{__sed} -e 's!^Example!#Example!;
        s!^#LogFile .*!LogFile /var/log/clamav/clamd.log!;
        s!^#LogFileMaxSize .*!LogFileMaxSize 0!;
        s!^#LogTime!LogTime!;
        s!^#LogSyslog!LogSyslog!;
        s!^#PidFile .*!PidFile /var/run/clamav/clamd.pid!;
        s!^#TemporaryDirectory .*!TemporaryDirectory /tmp!;
        s!^#DatabaseDirectory .*!DatabaseDirectory /var/clamav!;
        s!^LocalSocket .*!#LocalSocket /var/run/clamav/clamd.sock!;
        s!^#FixStaleSocket!FixStaleSocket!;
        s!^#TCPSocket .*!TCPSocket 3310!;
        s!^#TCPAddr .*!TCPAddr 127.0.0.1!;
	s!^#MaxConnectionQueueLength .*!MaxConnectionQueueLength 30!;
        s!^#StreamSaveToDisk!StreamSaveToDisk!;
	s!^#ReadTimeout .*!ReadTimeout 300!;
        s!^#User .*!User %{clamav_user}!;
        s!^#AllowSupplementaryGroups!AllowSupplementaryGroups!;
        s!^#ScanMail!ScanMail!;
        s!^#ArchiveBlockEncrypted!ArchiveBlockEncrypted!;' \
        etc/clamd.conf.sample > %{buildroot}%{_sysconfdir}/clamd.conf

%{__sed} -e 's!^Example!#Example!;
	s!^#DatabaseDirectory .*!DatabaseDirectory /var/clamav!;
        s!^#UpdateLogFile .*!UpdateLogFile /var/log/clamav/freshclam.log!;
        s!^#DatabaseOwner .*!DatabaseOwner clamav!;
        s!^Checks .*!Checks 24!;
	s!^#ScriptedUpdates yes!ScriptedUpdates no!;
        s!^#NotifyClamd .*!NotifyClamd /etc/clamd.conf!;' \
        etc/freshclam.conf.sample > %{buildroot}%{_sysconfdir}/freshclam.conf

rm %{buildroot}%{_sysconfdir}/freshclam.conf.sample
rm %{buildroot}%{_sysconfdir}/clamd.conf.sample


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
[ -d $RPM_BUILD_DIR/%{name}-%{pversion} ] && rm -rf $RPM_BUILD_DIR/%{name}-%{pversion}

%pre
if [ -z "`/usr/bin/id -g %{clamav_user} 2>/dev/null`" ]; then
	%{_sbindir}/groupadd -r -f %{clamav_user} 2>&1 || :
fi
if [ -z "`/usr/bin/id -u %{clamav_user} 2>/dev/null`" ]; then
	%{_sbindir}/useradd -r -M -s /bin/false -c "Clam AntiVirus" -g %{clamav_user} %{clamav_user} 2>&1 || :
fi

%post
/sbin/ldconfig

sed -i 's!DatabaseDirectory .*!DatabaseDirectory /var/clamav!' /etc/clamd.conf 2>/dev/null || :
sed -i 's!DatabaseDirectory .*!DatabaseDirectory /var/clamav!' /etc/freshclam.conf 2>/dev/null || :

if [ $1 -eq 1 ]; then
   /sbin/chkconfig --add clamd 
   /sbin/chkconfig --level 345 clamd on
   /sbin/chkconfig --add freshclam 
   /sbin/chkconfig --level 345 freshclam on
fi

if [ "$1" == "1" ]; then
   # for VPS shits, there is no network file on VPS OS template creation
   if [ -f /etc/sysconfig/network ]; then
     /sbin/service freshclam start > /dev/null 2>&1 || :
     /sbin/service clamd start > /dev/null 2>&1 || :
   fi
fi

if [ "$1" == "2" ]; then
   # for VPS shits, there is no network file on VPS OS template creation
   if [ -f /etc/sysconfig/network ]; then
     pidof clamd >/dev/null 2>&1 && /sbin/service clamd restart >/dev/null 2>&1 || :
     sleep 3
     pidof clamd >/dev/null 2>&1 || /sbin/service clamd start >/dev/null 2>&1 || :
   fi
fi

%preun
if [ "$1" == "0" ]; then
   echo
   echo "WARNING: ClamAV package removal request denied.  This package is required by Interworx."
   echo
   exit 1
fi

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
	/sbin/service clamd stop > /dev/null 2>&1 || :
	/sbin/service freshclam stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del clamd
	/sbin/chkconfig --del freshclam
else
	/sbin/service clamd condrestart > /dev/null 2>&1 || :
	/sbin/service freshclam condrestart > /dev/null 2>&1 || :
fi

%files
%defattr(0644,root,root,0755)
%doc AUTHORS BUGS COPYING ChangeLog FAQ INSTALL NEWS README
%doc docs/*.pdf test/ 
#%doc HOWTO-logwatch.txt
%attr(0644,root,clamav) %config(noreplace) %{_sysconfdir}/clamd.conf
%attr(0640,root,clamav) %config(noreplace) %{_sysconfdir}/freshclam.conf
%attr(0755,root,root) %{_sysconfdir}/cron.daily/freshclam
%attr(0644,root,root) %{_sysconfdir}/logrotate.d/clamd
%attr(0644,root,root) %{_sysconfdir}/logrotate.d/freshclam
#%attr(0755,root,root) %{_sysconfdir}/log.d/scripts/services/clamav
#%attr(0644,root,root) %{_sysconfdir}/log.d/conf/services/clamav.conf
%attr(0755,root,root) %{_initrddir}/clamd
%attr(0755,root,root) %{_initrddir}/freshclam
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/clamd
%attr(0755,root,root) %{_libdir}/libclamav.so*
%attr(0755,root,root) %{_libdir}/libclamunrar.so*
%attr(0755,root,root) %{_libdir}/libclamunrar_iface.so*
%attr(0755,clamav,clamav) %dir %{_localstatedir}/clamav/
%attr(0644,clamav,clamav) %config(noreplace) %verify(user group mode) %{_localstatedir}/clamav/main.cvd
%attr(0644,clamav,clamav) %config(noreplace) %verify(user group mode) %{_localstatedir}/clamav/daily.cvd
%attr(0755,clamav,clamav) %dir %{_localstatedir}/log/clamav/
%attr(0755,clamav,clamav) %dir %{_localstatedir}/run/clamav/
%attr(0640,clamav,clamav) %ghost %{_localstatedir}/log/clamav/clamav.log
%attr(0640,clamav,clamav) %ghost %{_localstatedir}/log/clamav/freshclam.log
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/clamd.8*

%files devel
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_libdir}/*.la
%attr(0644,root,root) %{_libdir}/pkgconfig/*.pc
%attr(0644,root,root) %{_includedir}/*.h

%changelog
* Thu Mar 03 2016 InterWorx Build System <support@interworx.com> - 0.99.1
- Automated update to version 0.99.1

* Mon Dec 21 2015 InterWorx Build System <support@interworx.com> - 0.99
- Automated update to version 0.99

* Thu Apr 30 2015 InterWorx Build System <support@interworx.com> - 0.98.7
- Automated update to version 0.98.7

* Thu Dec 18 2014 Matt Parmelee <mparmelee@interworx.com>
- Updated for RHEL7x.
* Mon Nov 24 2014 Tim College <tcollege@interworx.com>
- Upgraded to 0.98.5
* Tue Aug 19 2014 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.98.4
- Dropped support for el4
* Mon Dec 09 2013 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.98
- Moved virus definitions from /var/lib/clamav/ to /var/clamav/ for compatible with other clamav packages
* Thu Apr 25 2013 Matt Parmelee <mparmelee@interworx.com>
- Upgraded to 0.97.8
* Tue Apr 17 2013 Matt Parmelee <mparmelee@interworx.com>
- Added Provides for clamav-db.
* Tue Apr 02 2013 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.7
- added tmpwatch to requires
* Thu Apr 12 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.4
* Wed Feb 29 2012 Paul Oehler <poehler@interworx.com>
- Added clamav-async-reload.patch.
- Added Provides: clamd
* Tue Jan 31 2012 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.3
* Wed Jun 15 2011 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.97.1
- Set Epoch to 3 to combat irritating incompatible updates from other repos.
* Sun Oct 03 2010 Paul Oehler <poehler@interworx.com>
- Added uninstall blocker preun script
* Thu May 06 2010 Paul Oehler <poehler@interworx.com>
- Updated for RHEL 6.x
* Fri Apr 16 2010 Paul Oehler <poehler@interworx.com>
- Upgraded to 0.96
* Sun Nov 01 2009 Paul Oehler <poehler@interworx.com>
- Bumped version to 0.95.3
* Tue Jun 17 2008 Paul Oehler <poehler@interworx.com>
- Updated for Fedora 9
* Tue May 13 2008 Paul Oehler <poehler@interworx.com>
- Updated to version 0.93 and added Fedora 8 support
* Wed Oct 19 2005 Chris Wells <clwells@nexcess.net>
- updated for VPS install
* Thu Jun 23 2005 Chris Wells <clwells@nexcess.net>
- Updated to 0.86.1
* Mon Feb 07 2005 Paul Oehler <poehler@nexcess.net>
- Updated to 0.82
* Fri Jan 28 2005 Paul Oehler <poehler@nexcess.net>
- Updated to 0.81
* Mon Jan 17 2005 Chris Wells <clwells@nexcess.net>
- Updated to 0.80 and made work with InterWorx-CP
* Sat Sep 11 2004 Chris Wells <clwells@nexcess.net>
- Repackaged for InterWorx-CP
* Thu Jul 01 2004 Daniel S. Reichenbach <dsr@best-off.org> 0.74-1.2-1
- Updated to ClamAV 0.74
* Tue Jun 29 2004 Daniel S. Reichenbach <dsr@best-off.org> 0.72-1.2-3
- Fix some typos in SPEC file
* Fri Jun 24 2004 Daniel S. Reichenbach <dsr@best-off.org> 0.72-1.2.2
- Initial Build.
